%define upstream_name       Config-Model-CursesUI
%define upstream_version 1.104

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Curses interface for Config::Model
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 1.233.0
BuildRequires: perl(Curses::UI) >= 0.960.600
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildArch:  noarch

%description
This class provides a the Curses::UI manpage interface to configuration
data managed by the Config::Model manpage.

IMPORTANT: Once the CursesUI object is created, STDOUT and STDERR are
managed by the Curses interface, so all print and warn will not work as
expected.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Dec 23 2013 umeabot <umeabot> 1.104.0-4.mga4
+ Revision: 560083
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.104.0-2.mga3
+ Revision: 364696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 jquelin <jquelin> 1.104.0-1.mga1
+ Revision: 66929
- update to 1.104

* Wed Jan 26 2011 jquelin <jquelin> 1.103.0-1.mga1
+ Revision: 41250
- mageia rebuild
- imported package perl-Config-Model-CursesUI

